Option Strict Off
Option Explicit On

Module Tusbinsxx
    Declare Function Tusbins16o_Device_Open Lib "TUSBINSO.DLL" (ByVal id As Short) As Short
    Declare Sub Tusbins16o_Device_Close Lib "TUSBINSO.DLL" (ByVal id As Short)
    Declare Function Tusbins16o_Write Lib "TUSBINSO.DLL" (ByVal id As Short, ByVal dat As Integer) As Short

    Declare Function Tusbins16i_Device_Open Lib "TUSBINSI.DLL" (ByVal id As Short) As Short
    Declare Sub Tusbins16i_Device_Close Lib "TUSBINSI.DLL" (ByVal id As Short)
    Declare Function Tusbins16i_Read Lib "TUSBINSI.DLL" (ByVal id As Short, ByRef dat As Integer) As Short
    Declare Function Tusbins16i_EdgeSet Lib "TUSBINSI.DLL" (ByVal id As Short, ByVal dat As Integer, ByVal time As Byte) As Short
    Declare Function Tusbins16i_EdgeRead Lib "TUSBINSI.DLL" (ByVal id As Short, ByRef dat As Integer) As Short

    Declare Function Tusbins88_Device_Open Lib "TUSBINS8.DLL" (ByVal id As Short) As Short
    Declare Sub Tusbins88_Device_Close Lib "TUSBINS8.DLL" (ByVal id As Short)
    Declare Function Tusbins88_Write Lib "TUSBINS8.DLL" (ByVal id As Short, ByVal dat As Byte) As Short
    Declare Function Tusbins88_Read Lib "TUSBINS8.DLL" (ByVal id As Short, ByRef dat As Byte) As Short
    Declare Function Tusbins88_EdgeSet Lib "TUSBINS8.DLL" (ByVal id As Short, ByVal dat As Byte, ByVal time As Byte) As Short
    Declare Function Tusbins88_EdgeRead Lib "TUSBINS8.DLL" (ByVal id As Short, ByRef dat As Byte) As Short

    ' Error Message
    Public Function TUSBINSxx_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim Message As String

        Select Case ErrCode
            Case 0
                Message = "ɏI܂"
            Case 1
                Message = "IDԍsł"
            Case 2
                Message = "hCoCXg[Ă܂"
            Case 3
                Message = "foCX͂łɃI[vĂ܂"
            Case 4
                Message = "ڑ䐔܂"
            Case 5
                Message = "foCXI[vł܂"
            Case 6
                Message = "foCX܂"
            Case Else
                Message = "sȃG[ł"
        End Select

        MsgBox(Message)
    End Function

End Module
